> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Balance sheet

> Balance sheet

### Query parameters

<ParamField query="as_of_date" type="string">
  Report date in `YYYY-MM-DD` format. Defaults to today (UTC).
</ParamField>

### Responses

<ResponseField name="200" type="BalanceSheetResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/gl/balance-sheet' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "as_of_date": "string",
    "assets": [
      {
        "account_id": "string",
        "account_name": "string",
        "account_number": "string",
        "balance": "string",
        "indent_level": 1,
        "is_total": true
      }
    ],
    "equity": [
      {
        "account_id": "string",
        "account_name": "string",
        "account_number": "string",
        "balance": "string",
        "indent_level": 1,
        "is_total": true
      }
    ],
    "liabilities": [
      {
        "account_id": "string",
        "account_name": "string",
        "account_number": "string",
        "balance": "string",
        "indent_level": 1,
        "is_total": true
      }
    ],
    "total_assets": "string",
    "total_equity": "string",
    "total_liabilities": "string"
  }
  ```
</ResponseExample>
